%define framework %(echo %name | sed "s|^kf6-||")
%define majver %(echo %version | cut -d. -f1-2)

Name:          accessibility-inspector
Version:       25.04.2
Release:       1mamba
Summary:       Inspect your application accessibility tree
Group:         Graphical Desktop/Applications/Accessibility
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://apps.kde.org/it/accessibilityinspector/
Source:        https://download.kde.org/%{stable_kf6}/release-service/%{version}/src/accessibility-inspector-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libQt6Core
BuildRequires: libQt6DBus
BuildRequires: libQt6Gui
BuildRequires: libQt6Widgets
BuildRequires: libQt6Xml
BuildRequires: libgcc
BuildRequires: libglvnd-devel
BuildRequires: libkf6-kcolorscheme-devel
BuildRequires: libkf6-kconfig-devel
BuildRequires: libkf6-kconfigwidgets-devel
BuildRequires: libkf6-kcoreaddons-devel
BuildRequires: libkf6-kcrash-devel
BuildRequires: libkf6-kdbusaddons-devel
BuildRequires: libkf6-kguiaddons-devel
BuildRequires: libkf6-ki18n-devel
BuildRequires: libkf6-kwidgetsaddons-devel
BuildRequires: libkf6-kxmlgui-devel
BuildRequires: libqaccessibilityclient-qt6-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: kf6-rpm-macros
BuildRequires: extra-cmake-modules
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
Inspect your application accessibility tree.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.


%prep
%setup -q

%build
%cmake_kf6

%cmake_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%cmake_install

%find_lang %{name} --with-qt --with-man --with-html --all-name || touch %{name}.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/accessibilityinspector
%{_datadir}/applications/org.kde.accessibilityinspector.desktop
%{_metainfodir}/org.kde.accessibilityinspector.metainfo.xml
%{_datadir}/icons/hicolor/scalable/apps/org.kde.accessibilityinspector.svg
%{_datadir}/qlogging-categories6/accessibilityinspector.categories

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libaccessibilityinspector.so.*
%doc LICENSES

%changelog
* Thu Jun 05 2025 Automatic Build System <autodist@openmamba.org> 25.04.2-1mamba
- automatic version update by autodist

* Fri May 09 2025 Automatic Build System <autodist@openmamba.org> 25.04.1-1mamba
- automatic version update by autodist

* Thu Apr 17 2025 Automatic Build System <autodist@openmamba.org> 25.04.0-1mamba
- automatic version update by autodist

* Tue Apr 01 2025 Automatic Build System <autodist@openmamba.org> 25.03.90-1mamba
- automatic version update by autodist

* Mon Mar 24 2025 Automatic Build System <autodist@openmamba.org> 25.03.80-1mamba
- automatic version update by autodist

* Fri Mar 07 2025 Automatic Build System <autodist@openmamba.org> 24.12.3-1mamba
- automatic version update by autodist

* Fri Feb 07 2025 Automatic Build System <autodist@openmamba.org> 24.12.2-1mamba
- automatic version update by autodist

* Thu Jan 09 2025 Automatic Build System <autodist@openmamba.org> 24.12.1-1mamba
- automatic version update by autodist

* Thu Dec 12 2024 Automatic Build System <autodist@openmamba.org> 24.12.0-1mamba
- automatic version update by autodist

* Wed Dec 04 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 24.11.90-1mamba
- update to 24.11.90

* Thu Nov 07 2024 Automatic Build System <autodist@openmamba.org> 24.08.3-1mamba
- automatic version update by autodist

* Thu Oct 10 2024 Automatic Build System <autodist@openmamba.org> 24.08.2-1mamba
- automatic version update by autodist

* Thu Sep 12 2024 Automatic Build System <autodist@openmamba.org> 24.08.1-1mamba
- automatic version update by autodist

* Mon Aug 26 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 24.08.0-1mamba
- package created using the webbuild interface
